{% from "govuk/components/button/macro.njk" import govukButton %}
{% from "govuk/components/tag/macro.njk" import govukTag %}
{% from "govuk/components/error-summary/macro.njk" import govukErrorSummary %}

{% macro prototypeCard(
  title,
  tagText,
  href,
  buttonText = "Start",
  dateCreated,
  isFrozen = false
) %}
  <div class="govuk-!-padding-bottom-7">
    {{ govukTag({
      text: tagText,
      classes: "govuk-tag--turquoise govuk-!-margin-bottom-3"
    }) }}
    {% if isFrozen %}
      {{ govukTag({
        text: "FROZEN",
        classes: "govuk-tag--blue govuk-!-margin-bottom-3 govuk-!-margin-left-3"
      }) }}
    {% endif %}
    <h3 class="govuk-heading-m">
      {{ title }}
    </h3>
    {{ govukButton({
      text: buttonText,
      href: href
    }) }}
    <p class="govuk-!-font-size-16">
      Date created - {{ dateCreated }}
    </p>
  </div>
{% endmacro %}

{% macro errorSummary(errors) %}
  {% set errorList = [] %}
  {% for error in errors | dictsort %}
    {% set errorList = (errorList.push({ text: error[1].summary, href: "#" + error[0] }), errorList) %}
  {% endfor %}

  {{ govukErrorSummary({
    titleText: "There is a problem",
    errorList: errorList
  }) }}
{% endmacro %}
